#modname "Better Independents Resource 2.1"
#modversion 2.1
#domversion 3.15
#description "This mod increases the resource cost of most independent units to 800, leaving only the good ones available."
#icon "./better_independents/better_independents_resource.tga"


/*

   This mod disables a large number of independent units. All units in the various Independent population types have been
   included and their resource cost set to 800. Those units considered actually worthwhile,
   such as the more powerful Heavy Cavalry and all Crossbowmen have been included but not modified.
   
   Light Cavalry (26) and Slinger (50) have been disabled, but modified copies replace them in national army lists.
   Militia (30) is available through an event and also in some army lists and is thus not disabled.

   Of the Independent commanders, only the Barbarian Chief and Horse Tribe Chief have been modded to be unusable,
   to discourage the AI from making hordes of useless commanders. Normal Commanders are not disabled because it
   must be possible to move newly recruited troops.

   Some of the other independent units have NOT been modded, for the following reasons:
   - Units that appear through summons
   - Units that belong to poptypes so rare (or disabled) that they are not a factor
   - Units that have been deemed to be actually useful; high enough quality (e.g. Heavy Cavalry) or capable of special roles (Raptors)
   - Archers (normal and tribals) & crossbowmen to allow for flexibility and because it benefits the AI
   - Amphibian & aquatic units so that land nations can enter the sea, hard enough already and impossible otherwise
   - Commanders, with the exceptions mentioned above

   The units that have NOT been and WILL NOT be modded at all are:

  150 Elephant
  205 Raptor
  206 Shambler
  282 Wolf Rider
  348 Amazon - Crystal
  351 Amazon - Garnet
  354 Amazon - Jade
  357 Amazon - Onyx
  367 Pegasus Rider
  369 Nightmare
  370 Jade Maiden
  447 Troglodyte
  518 Troll
  541 Vaetti
  545 Shark Knight
  573 Amber Clan Guard
  574 Amber Clan Triton
  577 Triton Trooper
  612 Gryphon Rider
  974 Ichtyid
  975 Ichtyid Warrior
  1001 Asmeg
  1037 War Troll
  1060 Triton Knight
  1065 Merman
  1085 Moose Riders
  1086 Troll Moose Knight
  1118 Markata
  1121 Atavi Archer
  1122 Atavi Infantry
  1187 Cataphract
  1394 Bakemono-sho
  1395 Bakemono-sho
  1465 Pale One
  1550 Kappa

*/

----Newly created units-----
-- Light Cavalry (nations) replaced by 1454 Unused Ancient One
#selectmonster 1454
#clear
#copystats 26
#copyspr 26
#end

-- Militia (nations)
#selectmonster 385
#clear
#copystats 31
#copyspr 31
#end

-- Slinger (nations)
#selectmonster 601
#clear
#copystats 50
#copyspr 50
#end



/* MODDED UNITS */

-- Light Cavalry
#selectmonster 24 
#rcost 800
#end

-- Light Cavalry
#selectmonster 25 
#rcost 800
#end

-- Light Cavalry
#selectmonster 26
#rcost 800
#end

-- Cataphract
#selectmonster 1187
#end

-- Heavy Cavalry /w Sword & Full Scale Mail
#selectmonster 19
#end

-- "Heavy" Cavalry /w Light Lance & Scale Hauberk
#selectmonster 20
#rcost 800
#end

-- Heavy Cavalry /w Morningstar & Full Chain Mail
#selectmonster 21
#end

-- Knight
#selectmonster 22
#end

-- Knight Commander
#selectmonster 23
#end

-- Militia
#selectmonster 18
#rcost 800
#end

-- Militia
#selectmonster 30
#gcost 7
#rcost 800
#end

-- Militia
#selectmonster 31
#rcost 800
#end

-- Light Infantry /no Javelin
#selectmonster 28
#rcost 800
#end

-- Light Infantry /w Javelin
#selectmonster 29
#end

-- Heavy Infantry /w Spear
#selectmonster 38
#rcost 800
#end

-- Heavy Infantry /w Sword & Scale Mail
#selectmonster 39
#end

-- Heavy Infantry /w Sword & Chain Mail
#selectmonster 40
#end

-- Archer
#selectmonster 17 
#end

-- Archer
#selectmonster 32
#end

-- Archer
#selectmonster 33
#end

-- Crossbow
#selectmonster 47
#end

-- Crossbow
#selectmonster 48
#end

-- Crossbow
#selectmonster 49
#end

-- Slinger
#selectmonster 50
#rcost 800
#end

-- Longbowman
#selectmonster 55
#end

-- Commander
#selectmonster 34
#end

-- Commander
#selectmonster 35
#end

-- Commander
#selectmonster 36
#end

-- Mounted Commander
#selectmonster 44
#end

-- Mounted Commander
#selectmonster 45
#end

-- Mounted Commander
#selectmonster 46
#end

-- Woodsman Blowpipe
#selectmonster 125
#rcost 800
#end

-- Woodsman
#selectmonster 126
#end

-- Horse Tribe Chief
#selectmonster 136
#rcost 800
#end

-- Horse Tribe Cavalry
#selectmonster 137
#rcost 800
#end

-- Barbarian
#selectmonster 139
#rcost 800
#end

-- Barbarian
#selectmonster 140
#rcost 800
#end

-- Barbarian Chief
#selectmonster 141
#rcost 800
#end

-- Triton /w Coral Knife
#selectmonster 176
#rcost 800
#end

-- Burgmeister Guard
#selectmonster 271
#end

-- Hoburg Crossbow
#selectmonster 273
#end

-- Amazon (Crystal)
#selectmonster 348
#end

-- Lizard Warrior
#selectmonster 423
#rcost 800
#end

-- Hoburg Militia
#selectmonster 483
#rcost 800
#end

-- Wolf Tribe Archer
#selectmonster 123
#end

-- Wolf Tribe Warrior
#selectmonster 124
#rcost 800
#end

-- Bear Tribe Warrior /w Javelin
#selectmonster 1592
#end

-- Bear Tribe Warrior /w Hatchet
#selectmonster 1593
#rcost 800
#end

-- Deer Tribe Warrior
#selectmonster 1594
#rcost 800
#end

-- Deer Tribe Archer
#selectmonster 1595
#end

-- Lion Tribe Warrior
#selectmonster 1600
#rcost 800
#end

-- Lion Tribe Archer
#selectmonster 1601
#end

-- Jaguar Tribe Slinger
#selectmonster 1610
#end

-- Jaguar Tribe Warrior
#selectmonster 1611
#end

-- Caveman
#selectmonster 1615
#end




-- EA Arco
#selectnation 0
#clearrec
#addrecunit 601
#addrecunit 201
#addrecunit 199
#addrecunit 1077
#addrecunit 1079
#addrecunit 1078
#addrecunit 1082
#addreccom 431
#addreccom 1076
#addreccom 1081
#addreccom 1083
#addreccom 1071
#addreccom 242
#addreccom 311
#end

-- EA Ermor
#selectnation 1
#clearrec
#addrecunit 601
#addrecunit 1100
#addrecunit 1101
#addrecunit 1102
#addrecunit 1103
#addrecunit 1104
#addrecunit 1105
#addrecunit 1106
#addrecunit 1107
#addrecunit 11
#addrecunit 12
#addreccom 426
#addreccom 428
#addreccom 671
#addreccom 1386
#addreccom 1113
#addreccom 1109
#addreccom 1110
#addreccom 1114
#addreccom 1115
#end

-- MA Arco
#selectnation 27
#clearrec
#addrecunit 601
#addrecunit 201
#addrecunit 199
#addrecunit 14
#addrecunit 16
#addrecunit 200
#addrecunit 150
#addreccom 431
#addreccom 46
#addreccom 13
#addreccom 15
#addreccom 746
#addreccom 242
#addreccom 311
#end

-- MA Ermor
#selectnation 28
#clearrec
#addrecunit 601
#addrecunit 662
#addrecunit 663
#addrecunit 664
#addrecunit 665
#addrecunit 666
#addrecunit 667
#addrecunit 668
#addrecunit 11
#addrecunit 12
#addreccom 426
#addreccom 428
#addreccom 671
#addreccom 1386
#addreccom 554
#addreccom 669
#end


-- MA Pythium
#selectnation 29
#clearrec
#addrecunit 601
#addrecunit 684
#addrecunit 685
#addrecunit 686
#addrecunit 687
#addrecunit 688
#addrecunit 7
#addrecunit 689
#addrecunit 3
#addrecunit 11
#addrecunit 12
#addreccom 426
#addreccom 428
#addreccom 683
#addreccom 1385
#addreccom 6
#addreccom 5
#addreccom 538
#addreccom 52
#addreccom 43
#addreccom 42
#end

-- MA Man
#selectnation 30
#clearrec
#addrecunit 385
#addrecunit 601
#addrecunit 61
#addrecunit 62
#addrecunit 53
#addrecunit 59
#addrecunit 63
#addrecunit 1454
#addrecunit 57
#addreccom 56
#addreccom 54
#addreccom 60
#addreccom 658
#addreccom 152
#end


-- LA Arco
#selectnation 49
#clearrec
#addrecunit 601
#addrecunit 201
#addrecunit 1551
#addrecunit 14
#addrecunit 16
#addrecunit 1553
#addrecunit 1555
#addreccom 431
#addreccom 1552
#addreccom 13
#addreccom 15
#addreccom 1554
#addreccom 746
#addreccom 242
#addreccom 311
#end 
